<%@ page import="com.s3ai.entities.Cinema" %>
<%@ page import="java.util.List" %>
<%--
  Created by IntelliJ IDEA.
  User: s3rius
  Date: 08.12.2019
  Time: 20:34
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title>Cinemas list</title>
    <%@include file='../templates/imports.jsp' %>
    <link rel="stylesheet" href="${pageContext.request.contextPath}/static/css/cinemas.css">
    <script src="${pageContext.request.contextPath}/static/js/cinemas.js"></script>
</head>
<body>
<%@include file='../templates/header.jsp' %>

<div class="container-fluid themed-gradient">
    <div class="row table-padding justify-content-center">
        <table class="table col-6 table-striped table-dark">
            <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Name</th>
                <th scope="col">Location</th>
                <th scope="col">Seats count</th>
            </tr>
            </thead>
            <tbody>
            <%
                List<Cinema> cinemas = (List<Cinema>) request.getSession().getAttribute("cinemas");
                for (int i = 0; i < cinemas.size(); i++) {
                    Cinema cinema = cinemas.get(i);
                    out.println("<tr id='" + cinema.getId().toString() + "'>");
                    out.println("<td  scope=\"col\">" + (i + 1) + "</td>");
                    out.println("<td>" + (cinema.getName() == null ? "" : cinema.getName()) + "</td>");
                    out.println("<td>" + (cinema.getLocation() == null ? "" : cinema.getLocation()) + "</td>");
                    out.println("<td>" + (cinema.getSeatsCount() == null ? "" : cinema.getSeatsCount()) + "</td>");
                    out.println("</tr>");
                }
            %>
            </tbody>
        </table>
    </div>
</div>
</body>
</html>
